--- ldap_store.2.py	2008-03-18 09:01:23.000000000 +0100
+++ ldap_store.2.02.py	2008-09-12 00:32:53.000000000 +0200
@@ -65,8 +65,12 @@
 		import ldap.sasl
 		#2008-03-17 yh: try sasl binding first.
 		auth_tokens = ldap.sasl.cram_md5(user, password)
-		if self._ldap._ds.sasl_interactive_bind_s(userdn, auth_tokens)==0:
-			return True
+		try:
+			if self._ldap._ds.sasl_interactive_bind_s(userdn, auth_tokens)==0:
+				return True
+		except:
+			self.env.log.info("Sasl Failed, trying other.")
+			self._ldap._ds.simple_bind_s(userdn, password)
 		
 		password = password.encode('utf-8')
 		p = self._ldap.get_attribute(userdn, 'userPassword')
